<template>
  <q-page class="row justify-center items-center bg-light-blue-3">
    <q-card class="shadow-24" style="border-radius: 15px; width: 50%">
      <div class="text-center q-pt-lg">
        <q-img src="../assets/logo.png" height="auto" width="150px" />
        <h4 class="text-black text-bold" style="margin-top: -1px">
          humbl<span class="text-red text-bold">x</span>
        </h4>
      </div>
      <q-card-section>
        <q-form class="q-px-sm" method="post" @submit="login">
          <q-input
            rounded
            outlined
            dense
            v-model="email"
            type="email"
            placeholder="Email"
            input-class="text-center"
          >
            <template v-slot:prepend>
              <q-icon name="account_circle" />
            </template>
            <template v-slot:append>
              <q-icon />
              <!--blank icon to maintain email label in center -->
            </template>
          </q-input>

          <q-input
            rounded
            outlined
            dense
            v-model="password"
            placeholder="Password"
            class="q-my-md"
            input-class="text-center"
            :type="isPwd ? 'password' : 'text'"
          >
            <template v-slot:prepend>
              <q-icon name="lock" />
            </template>
            <template v-slot:append>
              <q-icon
                :name="isPwd ? 'visibility_off' : 'visibility'"
                @click="isPwd = !isPwd"
              />
            </template>
          </q-input>
       

      <q-card-actions class="q-px-lg">
        <q-btn
          unelevated
          fab-mini
          color="primary"
          class="full-width text-white q-mb-sm"
          label="LOG IN"
          type="submit"
        />
        <q-btn
          flat
          fab-mini
          color="primary"
          class="full-width"
          label="REGISTER"
          to="registerUser"
        />
      </q-card-actions>

      <q-separator />

      <q-card-actions class="q-px-lg">
        <q-btn
          unelevated
          rounded
          fab-mini
          color="blue-12"
          class="full-width text-white q-my-md"
          no-caps
          label="Signup with Google"
          icon="fab fa-google"
          align="center"
        />
      </q-card-actions>

       </q-form>
      </q-card-section>
    </q-card>
  </q-page>
</template>

<script>
import { api } from "boot/axios";
export default {
  name: "LoginPage",
  data() {
    return {
      email: "",
      password: "",
      isPwd: true,
    };
  },

  methods: {
    login: function () {
      this.loginUser = {
        email: this.email,
        password: this.password,
      };
      api
        .post("/loginUser", {
          data: this.loginUser,
        })
        .then((response) => {
          if (response.data.ok === true) {
            this.$q.notify({
              title: "Success",
              color: "green-4",
              textColor: "white",
              icon: "cloud_done",
              message: "Login successfully.",
            }); 
          localStorage.setItem('profile', JSON.stringify(response.data.cookie));
          this.$router.push('/userProfile')     
          } else {
            this.$q.notify({
              title: "Failed",
              color: "red-5",
              textColor: "white",
              icon: "warning",
              message: "Error : Login details are incorrect",
            });
          }
        });
    },
  },
};
</script>
